Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 597888 - Review Request: spek - free acoustic spectrum analyzer
Summary: Review Request: spek - free acoustic spectrum analyzer
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-30 22:00 UTC by cdonatsch
Modified: 2013-10-19 14:42 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-26 06:25:16 UTC


Attachments (Terms of Use)

Description cdonatsch 2010-05-30 22:00:54 UTC
Hi,
This is my first package, so I need a sponsor and a review.
Thanks

Spec URL: http://dl.dropbox.com/u/6598054/spek.spec
SRPM URL: http://dl.dropbox.com/u/6598054/spek-0.4-1.fc13.src.rpm

Description: 
Spek helps to analyze your audio files by showing their spectrogram.
Spectrograms are used to analyze the quality of audio files, you can easily
detect lossy re-encodes, web-rips and other badness by just looking at the
spectrogram. Spek uses GStreamer to read audio files which means it supports
most file formats you can think of.

ScratchBuild : http://koji.fedoraproject.org/koji/taskinfo?taskID=2218397

Comment 1 cdonatsch 2010-06-01 13:44:55 UTC
Hi,

As I've been told, this package is pretty useless without dependencies on gstreamer-plugin-base and good packages. So here are the new versions.

Spec URL: http://dl.dropbox.com/u/6598054/spek.spec
SRPM URL: http://dl.dropbox.com/u/6598054/spek-0.4-2.fc13.src.rpm
ScratchBuild: http://koji.fedoraproject.org/koji/taskinfo?taskID=2222419

Comment 2 Fabian Deutsch 2010-06-11 10:08:30 UTC
Looks sane on a quick look and builds fine on koji.

Comment 3 Alexander Kojevnikov 2010-06-27 01:45:34 UTC
In the meantime Spek 0.5 has been released:
http://spek.googlecode.com/files/spek-0.5.tar.bz2

Comment 4 Till Maas 2010-06-30 13:58:09 UTC
Christophe, did you perform some unofficial reviews?

Comment 5 Michael Schwendt 2010-07-18 08:44:00 UTC
> Requires:       gtk2 >= 2.14
> Requires:       gstreamer >= 0.10.17
> Requires:       gstreamer-plugins-base >= 0.10.17
> Requires:       gstreamer-plugins-good >= 0.10.17

Be aware of the following guideline:
https://fedoraproject.org/wiki/Packaging:Guidelines#Explicit_Requires

Dependency on gtk2 and gstreamer library SONAMEs is automatic already. The explicit versions are much lower than what is available with Fedora. And gstreamer-plugins-good requires gstreamer-plugins-base. So, you should reduce these explicit Requires to just gstreamer-plugins-good with a comment that this app strictly needs this collection of plugins.


> %install
> rm -rf %{buildroot}

> %clean
> rm -rf %{buildroot}

Since you also omitted the BuildRoot definition, you could drop further stuff:
https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag

Comment 6 Alexander Kojevnikov 2010-07-18 09:17:13 UTC
Just FYI, Spek 0.6 no longer depends on GStreamer, it now uses FFmpeg libraries:

http://gitorious.org/spek/spek/blobs/master/NEWS#line49

Comment 7 Conrad Meyer 2010-07-26 06:25:16 UTC
Which means it's a candidate for RPMFusion, not Fedora. Might as well close this review...

I'd like to see this land in RPMFusion, though.

Comment 8 Thibault North 2011-04-27 15:09:07 UTC
> I'd like to see this land in RPMFusion, though.

See https://bugzilla.rpmfusion.org/show_bug.cgi?id=1718


Note You need to log in before you can comment on or make changes to this bug.